We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8087 - Move setup into tabbed interface, back-porting as possible from OMP
Move setup into tabbed interface, back-porting as possible from OMP
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
3.0a
All All
: P3 normal
Assigned To: PKP Support
: 8132 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 09:10 PST by Alec Smecher
Modified: 2013-06-17 15:56 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-01-18 09:10:05 PST
(Feel free to break into smaller dependent tasks once specified)
Comment 1 Alec Smecher 2013-02-20 10:05:02 PST
Move publisher settings into new structure
https://github.com/pkp/ojs/commit/7f974924adbd85f41a890f1a3494d067549226f6
Comment 2 Alec Smecher 2013-02-20 10:10:02 PST
Removed details form; moved history
https://github.com/pkp/ojs/commit/0822308d98bb7a87debcf2e2adcf55b763ceec76
Comment 3 Alec Smecher 2013-02-20 12:10:02 PST
Remove unwanted 4.2 setup options per John's issue mgmt spec
https://github.com/pkp/ojs/commit/3c95b5a3a5662d6617dc079bb118414d0374fd63
Comment 4 Alec Smecher 2013-02-20 12:12:55 PST
See John's spec for Issue Management, https://docs.google.com/document/d/1tanSb2y44SUZzZm-ADS3EqV5xaeZxKltoO8KLI6rB2M/edit
Comment 5 Alec Smecher 2013-02-20 12:15:02 PST
Remove unwanted 4.2 setup options per John's issue mgmt spec
https://github.com/pkp/ojs/commit/40a5a4e3d985acf3c5482fc5caf7d76e24759c1d
Comment 6 Alec Smecher 2013-02-27 11:15:02 PST
Content management stuff into PKP lib
https://github.com/pkp/pkp-lib/commit/f430dbc658e624fb565a6bab174372f4bd99cba2
Comment 7 Alec Smecher 2013-02-27 11:15:03 PST
Content management stuff into PKP lib
https://github.com/pkp/ojs/commit/e786333b32279fc70dbf4ab837ab154823f31e2d
Comment 8 Alec Smecher 2013-02-27 11:15:03 PST
Content management stuff into PKP lib
https://github.com/pkp/omp/commit/5b2310e8dd883c7b9d1c2f73c8f26cc75635889e
Comment 9 Alec Smecher 2013-02-27 11:15:03 PST
Content management stuff into PKP lib
https://github.com/pkp/ocs/commit/095c093a570e22b0817c123f9d0a746b1f489a8b
Comment 10 Alec Smecher 2013-02-27 11:50:02 PST
Corrected XML filename typo
https://github.com/pkp/omp/commit/ab3ce4109360575cd4587d6122878fdf0971fa57
Comment 11 Alec Smecher 2013-02-27 12:08:29 PST
*** Bug 8132 has been marked as a duplicate of this bug. ***
Comment 12 Alec Smecher 2013-02-27 12:10:02 PST
Fixed function name
https://github.com/pkp/omp/commit/82195ce5f7f4e67b9fbf5fcd61be119ee9c65aa0
Comment 14 Alec Smecher 2013-02-27 13:30:02 PST
Moved content locale keys to PKP lib
https://github.com/pkp/omp/commit/dd35a39dec5cd0821d5c169a947c38515a0cff11
Comment 15 Alec Smecher 2013-02-27 13:30:02 PST
Moved content locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/2c64459370c0d75b0d48344cc729277926fdf77f
Comment 16 Alec Smecher 2013-02-27 13:35:02 PST
Moved content locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/db6fe35d771c6276b2abbd65fe723d219e1fb87b
Comment 17 Alec Smecher 2013-02-27 13:35:02 PST
Moved content locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/f606e3ae348ad7f53fef41844704bb8ddd046cae
Comment 18 Alec Smecher 2013-02-27 13:50:02 PST
Moved content management to PKP lib
https://github.com/pkp/pkp-lib/commit/05aa8ab30cc1f76e4a089da0d8f1cfe0a030201b
Comment 19 Alec Smecher 2013-02-27 13:50:02 PST
Moved content management to PKP lib
https://github.com/pkp/omp/commit/5da8a1f2c813ae6f2fb24822caf69a42a82a9a7e
Comment 20 Alec Smecher 2013-02-27 13:55:02 PST
Moved content management to PKP lib
https://github.com/pkp/omp/commit/f1023dd7129c0401af683d64d56eb36fa9e94cf5
Comment 21 Alec Smecher 2013-02-27 15:10:02 PST
Moved content management to PKP lib
https://github.com/pkp/pkp-lib/commit/0cc36b98733acf403b5e0bf5d449d6b13e1aeef7
Comment 22 Alec Smecher 2013-02-27 15:15:01 PST
Add navigation settings to OJS
https://github.com/pkp/ojs/commit/70f8aafa82ea35345a15d34f511c20b1254bfbcc
Comment 23 Alec Smecher 2013-02-27 15:15:02 PST
Add navigation settings to OJS
https://github.com/pkp/pkp-lib/commit/2007d3a98ba79eed45f0d89b079a3d25997b24af
Comment 24 Alec Smecher 2013-02-28 09:30:02 PST
Footer management to PKP lib
https://github.com/pkp/pkp-lib/commit/a1239477facd8092a29aea4b91dd05cf8cfec1ed
Comment 25 Alec Smecher 2013-02-28 09:30:02 PST
Ability to hide register link
https://github.com/pkp/pkp-lib/commit/98f610f0e7c53828408f11863d4fefbc348b9cc6
Comment 26 Alec Smecher 2013-02-28 09:30:03 PST
Footer management to PKP lib
https://github.com/pkp/ojs/commit/19e902acd75e6c211ff0f6d0ba7b6b6e0afd2ce5
Comment 27 Alec Smecher 2013-02-28 09:50:02 PST
Social media blocks onto journal homepage
https://github.com/pkp/ojs/commit/c9c260d04566ff57e1226505efac65ba8c3cef11
Comment 28 Alec Smecher 2013-02-28 09:55:02 PST
Social media blocks onto journal homepage
https://github.com/pkp/omp/commit/79232a39d8ee3c53a63146e7d3a1720f0e17e839
Comment 29 Alec Smecher 2013-02-28 11:45:02 PST
Remove duplicated/refactored settings
https://github.com/pkp/ojs/commit/497168c22cdd71b69b779197a4c92cadd6592a3d
Comment 30 Alec Smecher 2013-02-28 12:30:02 PST
Removed custom about setting maintenance
https://github.com/pkp/ojs/commit/d9bb29591b63d0ff322cb1f62054fee9b8aa490a
Comment 31 Alec Smecher 2013-02-28 12:40:03 PST
More setting removal; move remaining to one page
https://github.com/pkp/ojs/commit/f068df6f5584a5676a8cc97079c33f896b3fc90f
Comment 32 Alec Smecher 2013-02-28 13:00:03 PST
Removed dead code
https://github.com/pkp/ojs/commit/8b632b35b37bf6523f5f63d869f692986ac92067
Comment 33 Alec Smecher 2013-03-11 14:55:02 PDT
Remove old role settings
https://github.com/pkp/ojs/commit/8658e94008d1ecb76f2561d6b60dc888b247562b
Comment 34 Alec Smecher 2013-03-13 10:30:02 PDT
OJS review settings
https://github.com/pkp/ojs/commit/bd92482bc4c3e8a1a587d835c32b09905fddbd67
Comment 35 Alec Smecher 2013-03-13 10:30:02 PDT
OJS review settings
https://github.com/pkp/pkp-lib/commit/2c0bde29a27c7d12b3c218ad004928766ac29a73
Comment 36 Alec Smecher 2013-03-13 11:15:02 PDT
Remove dedicated Creative Commons setting
https://github.com/pkp/ojs/commit/e93f4a6616b8d5c5fc95dd8b391ee31307b0eca3
Comment 37 Alec Smecher 2013-03-13 11:50:02 PDT
Remove notify all authors setting (superceded by role/stage assignments)
https://github.com/pkp/ojs/commit/085f41a8e59aa36cb0be644976072b8886bbcd75
Comment 38 Alec Smecher 2013-03-13 18:00:02 PDT
Add easier inline comparison facility for Smarty
https://github.com/pkp/pkp-lib/commit/cdc6f554deebb5bbba6f6dadf9045dc42f8cda69
Comment 39 Alec Smecher 2013-03-13 18:05:01 PDT
Settings migration: access options
https://github.com/pkp/ojs/commit/6ae2eb2874b7bf941e137f3d181b68f2bc9e105d
Comment 40 Alec Smecher 2013-03-14 09:30:03 PDT
Simplify conditionals
https://github.com/pkp/ojs/commit/7e64d6a78b096a6fdfed3c1ba0e376e91ee2054c
Comment 41 Alec Smecher 2013-03-14 14:10:02 PDT
Force keywords field always available
https://github.com/pkp/ojs/commit/2036821549f030032f629c81bb297f27f367ef94
Comment 42 Alec Smecher 2013-03-14 14:20:03 PDT
Force keywords field always available
https://github.com/pkp/pkp-lib/commit/4157fe7e4f9577787be54aa8019cf237ab5ee94a
Comment 43 Alec Smecher 2013-03-19 11:10:03 PDT
Indexing specifically to Context Indexing
https://github.com/pkp/pkp-lib/commit/fbd4a354f8032dac5a2141b9adf791d32e11a17f
Comment 44 Alec Smecher 2013-03-20 09:40:03 PDT
Simplify metadata forms (temporarily)
https://github.com/pkp/ojs/commit/89f58e66ae12603ea21d1c85299b66c5e5253258
Comment 45 Alec Smecher 2013-05-23 14:10:11 PDT
The "##Old Setup##" tab in Management > Settings > Journal needs consideration; otherwise this is complete.
Comment 46 Alec Smecher 2013-05-30 11:29:02 PDT
Introduce identifiers form
https://github.com/pkp/ojs/commit/26c5295d2ea0bb5ff0697ef54202fb6b8a7de813
Comment 47 Alec Smecher 2013-05-30 12:03:01 PDT
Get rid of last legacy settings tab/form
https://github.com/pkp/ojs/commit/b7635a7d9695da721ab1c85283ed1331764f9c06
Comment 48 Alec Smecher 2013-05-30 12:57:02 PDT
Additional content possible in policies form
https://github.com/pkp/pkp-lib/commit/b999e4b63ae9f8893f6f92b1ac9c4ccfe03afd60
Comment 49 Alec Smecher 2013-06-17 15:56:02 PDT
Forgotten commit
https://github.com/pkp/ojs/commit/c9275edd32cd632be03c17912757f2cbf635495f